# Changelog

Все заметные изменения в этом проекте фиксируются в этом файле.
Формат основан на [Keep a Changelog](https://keepachangelog.com/) и придерживается принципов [Semantic Versioning](https://semver.org/).

## [Unreleased]

### Added
- Кнопки сброса настроек и очистки кэша
- Бейдж PortProton
- Зависимость на `xdg-utils`
- Интеграция статуса WeAntiCheatYet в карточку
- Стили в  AddGameDialog
- Переключение полноэкранного режима через F11 или Select на геймпаде
- Выбор QCheckBox через Enter или кнопку A геймпада
- Закрытие диалога добавления игры через ESC или кнопку B геймпада
- Закрытие окна приложения по комбинации клавиш Ctrl+Q
- Сохранение и восстановление размера при рестарте
- Переключатель полноэкранного режима приложения
- Пункт в контекстное меню “Открыть папку игры”
- Пункт в контекстное меню “Добавить в Steam”
- Пункт в контекстное меню "Удалить из Steam”
- Метод сортировки сначала избранное
- Настройка автоматического перехода в режим полноэкранного отображения приложения при подключении геймпада (по умолчанию отключено)
- Обработчики для QMenu и QComboBox на геймпаде

### Changed
- Обновлены все иконки
- Переименован `_get_steam_home` → `get_steam_home`
- Переименован `steam_game` → `game_source`
- Догика контекстного меню вынесена в `ContextMenuManager`
- Бейдж Steam теперь открывает Steam Community
- Изменена лицензия с MIT на GPL-3.0 для совместимости с кодом от legendary
- Оптимизирована генерация карточек для предотвращения лагов при поиске и изменения размера окна
- Бейджи с карточек так же теперь дублируются и на странице с деталями, а не только в библиотеке
- Установка ширины бейджа в две трети ширины карточки
- Бейджи источников (`Steam`, `EGS`, `PortProton`) теперь отображаются только при активном фильтре `all` или `favorites`
- Карточки теперь фокусируются в направлении движения стрелок или D-pad, например если нажать D-pad вниз то перейдёшь на карточку со следующей колонки, а не по порядку
- Теперь D-pad можно зажимать для переключения карточек
- D-pad больше не переключает вкладки только RB и LB
- Кнопка добавления игры больше не фокусируется
- Диалог добавления игры теперь открывается только в библиотеке
- Аргумент --fullscreen для открытия приложения в режиме полноэкранного отображения
- Оверлей на кнопку Xbox / PS для закрытия приложения, выключения, перезагрузки и ухода в сон

### Fixed
- Обработка несуществующей темы с возвратом к “standart”
- Открытие контекстного меню
- Запуск при отсутствии exiftool
- Переводы пунктов настроек
- Бесконечное обращение к get_portproton_location
- Ссылки на документацию в README
- traceback при загрузке placeholder при отсутствии обложек
- Утечки памяти при загрузке обложек
- Ошибки при подключении геймпада из-за работы в разных потоках
- Множественное открытие диалога добавления игры на геймпаде
- Перехват событий геймпада во время работы игры

---

## [0.1.1] – 2025-05-17

### Added
- Алфавитная сортировка библиотеки
- Проверка переводов через yaspeller
- Сборка Fedora-пакета
- Сборка AppImage

### Changed
- Удалён жёстко заданный ресайз окна
- Использован icoextract как python модуль

### Fixed
- Скрытие статус-бара
- Чтение списка Steam-игр
- Подвисание GUI
- Краш при повреждённом Steam

---


> См. подробности по каждому коммиту в истории репозитория.
